/* 歴時間の取得と現在時刻への変換 */
#include <stdio.h>
#include <time.h> /* time関数の利用に必要 */
#define LAG 9 /* 日本とグリニッジ標準時との差は+9時間 */

int main(void)
{
  printf("歴時刻(秒） = %d\n", time(NULL) ); /* 歴時刻を取得 */
  printf("歴時刻を時間にすると %d(時間)\n", time(NULL)/3600 );
  printf("歴時刻を日にすると = %d(日)\n", time(NULL)/3600/24 );
  printf("歴時刻を年にすると = 約%d(年)\n", time(NULL)/3600/24/365 );
  puts("日本における現在時刻：");
  printf("%d時\n", ( time(NULL) /3600 + LAG ) % 24 );
  printf("%d分\n", ( time(NULL) / 60 ) % 60 );
  printf("%d秒\n",  time(NULL) % 60 );

  return 0;
}
