/* ローカル変数とグローバル変数の値を表示 */
#include <stdio.h>

void print_local(void); /* プロトタイプ宣言 */

int a = 10; /* グローバル変数 */

int main(void)
{
  int b = 20; /* ローカル変数 : main関数内のみ有効 */

  puts("main関数内：");
  printf("グローバル変数aは%d．\n", a);
  printf("ローカル変数bは%d．\n", b);

  print_local(); 

  return 0;
}

void print_local(void)
{
  int c = 30; /* ローカル変数 : 関数print_local内のみ有効 */

  puts("関数print_local内：");
  printf("グローバル変数aは%d．\n", a);
  printf("ローカル変数cは%d．\n", c);
}
