/* ハノイの塔 */
#include <stdio.h>

void hanoi( int n , char from, char to,  char tmp );

int main(void)
{
  int n;
  
  printf("円盤の枚数を入力してください---> ");
  scanf("%d", &n);
  hanoi(n, 'a', 'b', 'c'); /* n個の円盤を
                              aからbに移す */
  return 0; 
}

void hanoi( int n , char from, char to,  char tmp)
{
  if ( n > 0 ) /* 再帰からの脱出 :  nが正の間だけ実行 */
  {
    /* from(a)からtmp(c)にfrom(a)のn-1枚を移す再帰呼び出し */
    hanoi( n-1, from, tmp, to); 

    /* 一番下の円盤をaからbに移す */
    printf("%d番の板を%cから%cに移動\n", n, from, to); 

    /* tmp(c)からto(b)にtmp(c)のn-1枚を移す再帰呼び出し */
    hanoi( n-1, tmp, to, from); 
  }
}
