/* 6つの整数の最大値を求める */
#include <stdio.h>

int int_max2(int a, int b);  /* int_max2のプロトタイプ宣言 */
int int_max3(int a, int b, int c);  /* int_max3のプロトタイプ宣言 */
int int_max6(int a, int b, int c, int x, int y, int z);  /* int_max6のプロトタイプ宣言 */

int main(void)
{
  int a = 2, b = 8, c = 4, x = 1, y = 3, z = 5;
  printf("%d %d %d %d %d %dの最大値は", a, b, c, x, y, z);
  printf("%dです．\n", int_max6(a, b, c, x, y, z) );

  return 0;
}

/* 2つの整数の最大を返す関数 int_max2 */
int int_max2(int a, int b)
{
  return (a > b) ? a : b ;
}

/* 3つの整数の最大を返す関数 int_max3 */
int int_max3(int a, int b, int c) 
{
  return (a > b) ? ( a > c ? a : c) : ( b > c ? b : c);
}

/* 6つの整数の最大を返す関数 int_max6 */
int int_max6(int a, int b, int c, int x, int y, int z) 
{
  return int_max2(int_max3(a, b, c), int_max3(x, y, z));
}
