/* 入力された文字列を逆順で表示する */
#include <stdio.h>
#include <string.h>

void reverse(const char *str, char *rstr); 

int main(void)
{
  char str[51], rstr[51];

  printf("半角英数字を50字以内で入力してください\n");
  printf("ただし, 最初の空白までを文字列とみなします\n");
  printf("それでは入力してください---> ");
  scanf("%s", str);

  reverse( str, rstr );  /* 文字列を逆順にする */
  printf("入力した文字列を逆に表示すると次のようになります\n");
  printf("%s\n", rstr);

  return 0;
}

void reverse(const char *str, char *rstr) /* strの内容は書き換えない */
{
  int len, i;

  len = strlen(str); /* strの文字列の長さを取得(NULL文字は含まない) */

  /* str[0]からstr[len-1]まで文字が入っている */
  for ( i = 0; i < len ; i++)     
  {
    rstr[i] = str[len-1-i];  /* 文字列の入れ換え */
  }
  rstr[len] = '\0';  /* NULL文字のセット */
}
