/* 構造体の配列へのポインタ例 */
#include <stdio.h>
#include <string.h>

/* 構造体の定義 */
typedef struct seiseki{
  int num;           /* 学籍番号 */
  char name[20];     /* 氏名  */
  char sub[20];      /* 科目名 */
  int score;         /* 点数  */
} seiseki_t;

int main(void)
{                /* 構造体の配列の初期化 */
  seiseki_t a[] = { {1, "Abe", "Math", 72}, {2, "Beppu", "Jpn", 90},
                    {3, "Doi", "Eng", 85}, {4, "Egawa", "Art", 60} };
  seiseki_t *p; /* 構造体へのポインタを宣言 */
  int i, n;        /* カウンタ, 配列の要素数 */

  p = a;   /* 構造体の配列aの先頭アドレスをpに代入 */
  
  n = sizeof(a)/sizeof(a[0]); /* 配列の要素数を求める */
  
  /* pが指す値を矢印演算子を使って参照　*/
  for ( i = 0; i < n ; i++ )
    printf("%d  %-20.20s %s \t %d\n", (p+i)->num, (p+i)->name, (p+i)->sub, (p+i)->score);

  return 0;
}
