/* 
10個の数値を読み込んでテキストファイルとバイナリファイルへ出力し、
それらの内容を表示 
*/
#include <stdio.h>
#include <stdlib.h>

#define N 10    /* 読み込む数値の数 */

int main(void)
{
  FILE *fa, *fb;       /* 入出力ファイル */
  double a[N]; 
  int i; 

  if ( ( fa = fopen( "textdata.txt", "w" ) ) == NULL ){ /* ファイルを開く */
    printf("ファイルを開けません : textdata.txt \n");
    exit(1);
  }

  if ( ( fb = fopen( "binarydata.txt", "wb" ) ) == NULL ){ /* ファイルを開く */
    printf("ファイルを開けません : binarydata.txt \n");
    exit(1);
  }

  for ( i = 0; i < N ; i++){
    printf("%d個目のデータ---> ", i+1);
    scanf("%lf", &a[i] ) ; 
    fprintf( fa, "%f\n", a[i] );  /* テキストデータへの書き込み */
  }
  fwrite( a, sizeof(double), N, fb );  /* バイナリデータへの書き込み */

  puts("テキストの内容は次の通りです");
  for ( i = 0; i < N ; i++){
     fscanf( fa, "%f", &a[i]);
     printf("%d番目は%f\n", i+1, a[i]);
  }

  puts("バイナリファイルの内容は次の通りです");
  fread( a, sizeof(double), N, fb ); /* バイナリデータの読み込み */
  for ( i = 0; i < N ; i++) printf("%d番目は%f\n", i+1, a[i]);

  fclose(fa); fclose(fb);    /* ファイルを閉じる */

  return 0;
}
