/* ファイルから値を読み込み，それらの和をファイルへ出力 */
#include <stdio.h>
#include <stdlib.h>

int main(void)
{
  FILE *fp;
  char str[FILENAME_MAX];
  double a, sum=0.0;

  printf("入力ファイル名を指定してください---> "); 
  scanf("%s", str);
  if ( (fp = fopen( str, "r")) == NULL )  /* 入力ファイルを開く */
  {
    printf("ファイルを開けません : %s \n", str);
    exit(1);
  }
  
  while( fscanf( fp, "%lf", &a ) != EOF ) /* データを読み込む */
  {
    sum += a;              /* 和を求める */
  }

  fclose( fp );            /* 入力ファイルを閉じる */

  printf("出力ファイル名を指定してください---> ");
  scanf("%s", str);
  if ( (fp = fopen( str, "w")) == NULL )  /* 出力ファイルを開く */
  {
    printf("ファイルが作成できません : %s \n", str);
    exit(1);
  }
  fprintf( fp, "合計は%fです\n", sum ); /* 結果をファイルに出力 */

  fclose( fp );            /* 出力ファイルを閉じる */

  return 0;
}
