/* 引き算ドリル(2桁以下) */
#include <stdio.h>
#include <stdlib.h> /* rand関数に必要 */
#include <time.h>   /* time関数に必要 */

int main(void)
{
  int flag = 1; 
  srand(time(NULL)); /* 乱数の初期化 */

  do{    
    int x, y, z, sol;
    x = rand() % 90 + 10; /* 10〜99までの数を生成 */
    y = rand() % 90 + 10;
    z = x - y; 

    if ( z > 0 ){ /* 引き算の結果が正のときのみ問題出力 */
      while ( flag == 1 ){
        printf("%d - %d = ", x, y );
        scanf("%d", &sol ); /* 答えの入力 */
        if ( sol == z ) {
          puts("正解です!");
          flag = 0; /* 正解のときwhile文から抜ける */
        }
        else {
          puts("間違っています．もう一度チャレンジ!");
        }
      }
    }
    else continue; /* z<0のときdo-while文の先頭へ */
    printf("続けますか？【はい:1，いいえ:0】--->");
    scanf("%d", &flag);
  } while( flag == 1 );

  return 0; 
}

