/* 宣言と定義の違いを確認 */
#include <stdio.h>

void print_local(void); /* プロトタイプ宣言 */

int a = 10; /* グローバル変数・外部変数：実体があるので定義 */

int main(void)
{
  extern int a; /* 外部で定義された変数を使うための宣言（実体なし）*/
  int b = 20;

  puts("main関数内：");
  printf("グローバル変数aは%dです．\n", a);
  printf("ローカル変数bは%dです．\n", b);

  print_local(); 

  return 0;
}

void print_local(void)
{
  int c = 30;
  extern int a; /* 外部で定義された変数を使うための宣言（実体なし）*/

  puts("関数print_local内：");
  printf("グローバル変数aは%dです．\n", a);
  printf("ローカル変数cは%dです．\n", c);
}
