#include <stdio.h>

#define M  2  /* 行数 */
#define N  3  /* 列数 */

/* 2つの配列の値を入れ替える */
void array2_swap( int a[][N], int b[][N] )
{
  int i, j, tmp;

  for ( i = 0; i < M ; i++ ){
    for ( j = 0; j < N ; j++) {
      tmp = b[i][j]; 
      b[i][j] = a[i][j];
      a[i][j] = tmp;
    }
  }

} 

int main(void)
{
  int i, j; 
  int a[][N] = { {0, 1, 2}, {3, 4, 5} }; /* 配列の初期化 */
  int b[][N] = { {6, 7, 8}, {9, 10, 11} };

  puts("配列a, bの内容は次の通りです");
  for ( i = 0; i < M; i++ ) {
    for ( j = 0; j < N; j++ ){
      printf("a[%d][%d] = %d \t b[%d][%d] = %d \n", i, j, a[i][j], i, j, b[i][j] );
    }
  }

  array2_swap( a, b ); /* aとbの入れかえ */

  puts("aとbを入れかえた結果は次の通りです");
  for ( i = 0; i < M; i++ ) {
    for ( j = 0; j < N; j++ ){
      printf("a[%d][%d] = %d \t b[%d][%d] = %d \n", i, j, a[i][j], i, j, b[i][j] );
    }
  }
  
  return 0;
}
