/* 二つの２次元配列の和を求める */
#include <stdio.h>

#define ROW     3
#define COLUMN  4

void print_score(int x[][COLUMN]); /* 得点を表示する */
void print_sum(int x[][COLUMN], int y[][COLUMN]); /* 合計点を表示する */

int main(void)
{     /* 3人分の成績 */
  int a[ROW][COLUMN] = {{80, 70, 64, 65}, {78, 81, 80, 65}, {56, 84, 91, 63}};
  int b[ROW][COLUMN] = {{88, 71, 82, 78}, {71, 75, 74, 66}, {100, 77, 93, 88}};
  int i, j;

  puts("1回目の得点: 国語，算数，理科，社会");
  print_score(a);

  puts("2回目の得点: 国語，算数，理科，社会");
  print_score(b);

  puts("合計得点: 国語，算数，理科，社会");
  print_sum(a, b);

  return 0;
}

void print_score(int x[][COLUMN])
{
  int i, j;
  for ( i = 0 ; i < ROW ; i++) {
    printf("%7d番目：", i);
    for ( j = 0 ; j < COLUMN ; j++) {
      printf("%5d", x[i][j] );
    }
    putchar('\n');
  }
}

void print_sum(int x[][COLUMN], int y[][COLUMN])
{
  int i, j;
  for ( i = 0 ; i < ROW ; i++) {
    printf("%4d番目：", i);
    for ( j = 0 ; j < COLUMN ; j++) {
      printf("%5d", x[i][j] + y[i][j] );
    }
    putchar('\n');
  }
}
