/* 文字列内の数字をそれぞれ数える(配列版) */
#include <stdio.h>

void number_count( const char str[], int cnt[] )
{
  int i; 
  while ( str[i] ) {
    if ( str[i] >= '0' && str[i] <= '9' ) /* ASCIIコードを利用 */
      cnt[ str[i] - '0' ]++;
      i++;
  }
  puts("各数字の出現頻度は次の通りです");
  for ( i = 0; i < 10; i++)
    printf(" '%d'は%d回\n", i, cnt[i]);
}

int main(void)
{
  int i; 
  int cnt[10] = {0}; /* 0で初期化．各数字の個数を格納 */
  char str[101];     /* 100文字まで(NULL文字を除く) */

  puts("文字列を以下に入力してください");
  scanf("%s", str);

  number_count(str, cnt); /* 各数字の個数を表示する */

  return 0;
}
