/* 2次元文字配列の作成・初期化・表示(関数版) */
#include <stdio.h>

/* 文字列の表示 sとnは書き換えない*/
void print_string( const char s[][15],  const int n )
{
  int i; 

  for ( i = 0 ; i < n ; i++ )
  {
    /* 文字列と先頭文字を出力 */
    printf("s[%d] = \"%s\" \t s[%d][0]='%c' \n", i, s[i], i, s[i][0]); 
  }
}

int main(void)
{
  const char str[][15] = {"Saga", "University", "Tosu", "Japan"}; /* 初期化 */
  int n = sizeof(str)/sizeof(*str);  /* 行数を求める */

  print_string( str , n );

  return 0;
}

