/* ファイルのコピー(バイナリファイルファイル版)*/
#include <stdio.h>
#include <stdlib.h>

#define MAX 1024  /* 最大要素数 */
#define SIZE 1    /* 要素サイズ(1バイトとする) */

int main(void)
{
  FILE *fin, *fout;       /* 入出力ファイル */
  char istr[FILENAME_MAX]; /* 入力ファイル名 */
  char ostr[FILENAME_MAX]; /* 出力ファイル名 */
  char tmp[MAX];           /* 読み込んだデータを一時的に保持 */
  int n;                   /* 読み込んだデータ数を保持 */

  printf("入力ファイル名---> "); scanf("%s", istr); 
  printf("出力ファイル名---> "); scanf("%s", ostr); 

  if ( ( fin = fopen( istr, "rb" ) ) == NULL ){ /* ファイルを開く */
    printf("入力ファイルを開けません : %s \n", istr);
    exit(1);
  }
  if ( ( fout = fopen( ostr, "wb" ) ) == NULL ){ /* ファイルを開く */
    printf("出力ファイルを開けません : %s \n", ostr);
    exit(1);
  }

  while (1) {  /* 無限ループにする */
    if ( ( n = fread(tmp, SIZE, MAX, fin) ) != 0 )  /* 読み込んだデータ数が0でないとき */
      fwrite( tmp, SIZE, n, fout );                  /* ファイルに出力する */
    if ( n < MAX ) break;                           /* すべて読み込んだらwhileを抜け出す */
}  

  fclose(fin); fclose(fout);   /* ファイルを閉じる */

  return 0;
}
