/* 関数間でのファイルの受渡し */
#include <stdio.h>
#include <stdlib.h>

void file_read_write(FILE *fp1, FILE *fp2);

int main(void)
{
  FILE *fin, *fout;

  if( (fin = fopen("input6.dat", "r")) == NULL )
  {
    printf("ファイルが見つかりません : input6.dat \n");
    exit(1);
  }

  if( (fout = fopen("output6.dat", "w")) == NULL )
  {
    printf("ファイルが作成できません : output6.dat \n");
    exit(1);
  }

  file_read_write(fin, fout); /* finの内容をfoutへ出力 */

  fclose(fin);
  fclose(fout);

  return 0;
}

void file_read_write(FILE *fp1, FILE *fp2)
{
  double a;
  while( fscanf(fp1, "%lf", &a) != EOF)
  {
    fprintf(fp2, "%f\n", a);    
  }
}
