/* バイナリファイルを読み込み，内容を画面に出力 */
#include <stdio.h>
#include <stdlib.h> /* exit関数を使うのに必要 */

int main(void)
{
  int i; 
  int a[100]; 
  FILE *fp; 

  if( (fp = fopen( "binary.dat", "rb" )) == NULL )
  {
    fprintf( stderr, "ファイルbinary.datを開けません\n");
    exit(1);
  }

  fread( a, sizeof(int), 100, fp); /* binary.datの読み込み */

  fclose(fp); /* binary.dat を閉じる */

  for( i = 0 ; i < 97 ; i += 4 )
  {
    printf("%d \t %d \t %d \t %d \n ", a[i], a[i+1], a[i+2], a[i+3]);
  }

  return 0; 
}
