/* ファイルからの文字列の入力 */
#include <stdio.h>
#include <stdlib.h>

int main(void)
{
  FILE *fp;
  char str1[100];

  if ( (fp = fopen( "string1.txt", "r")) == NULL )
  {
    printf("ファイルが見つかりません : string1.txt \n");
    exit(1);
  }

  while( feof(fp) == 0 ) /* EOFを検出するまでデータを読み込む */
  {
    fgets( str1, 100, fp); /* fpから最大99文字を読み込む */
    printf( "%s", str1);  /* 改行も読み込まれているので\nを付けない */
  }
  printf( "\n");

  fseek( fp, 0, SEEK_SET); /* ファイルの先頭へ読み取り位置を移動 */
  while( feof(fp) == 0 ) /* EOFを検出するまでデータを読み込む */
  {
    fscanf(fp, "%s", str1); /* fpから文字列をstr1に読み込む */
    printf( "%s\n", str1);  
  }

  fclose( fp );

  return 0;
}
